Sorğular 'rubygems'

RubyGems, Ruby proqramlaşdırma dili üçün paket idarə vasitədir. Bu istifadəçilər Ruby kitabxanalarını yükləmək və yeniləməyə imkan verir və avtomatik olaraq bağımlılıkları həll edir.
12
Cavablar

Nasıl yapılamaz - no-ri -no-rdoc gem yüklemek üçün default?

Mən kompüterimə yükləyən daşlardan və ya işləyən serverlərdən (digər sənədlər vasitələrindən istifadə edirəm) RI və ya RDoc çıxışını istifadə etmirəm. Mən yüklədiyim hər bir gem, RI və RDoc sənədlərini hər birinə yükləyir ...
set 05 Sep '09 'da 0:48' da
10
Cavablar

Sistemimdən RVM (Ruby Version Manager) çıxarmaq üçün necə?

Sistemimdən RVM (Ruby Version Manager) çıxarmaq üçün necə?
24 Avqust '10 saat 19: 26 'da
25
Cavablar

Bir daş qurmaq və ya RubyGems'i yeniləmək icazələrin səhvi ilə uğursuz olur

Gem (Gem: FilePermissionError) (Gem :: FilePermissionError), bir daş (gem yüklemek üçün mygem) qurmaq və ya RubyGems (gem update - sistemi) /Gems/2.0 ....
30 yanvar təyin etdi '13 saat 18:10 'da
23
Cavablar

Mysql2-ni quraşdırmaqda səhv: xüsusi gem uzantısı yaradıla bilməz

Rails üçün mysql2 daşını quraşdırmaqda çətinlik yaşayıram. Bundle yükləməyi və ya gem yükləməyi mysql2 quraraq yükləməyə çalışdığımda, aşağıdakı səhvlərə yol açır: mysql2-ni quraşdırmaqla bağlı səhv: Xəta: Uzadılmış ...
31 avq. '10 'da 13:54' da
10
Cavablar

Bir GitHub mənbəyindən bir daş tikmək necədir?

Son GitHub mənbəyindən bir daş tikmək istərdim. Bunu necə edirsiniz?
05 Mart tarixində təyin olundu 10:10 da
7
Cavablar

homebrew OSX üzərində işləmir

Terminaldakı dəm komandanlığını başlatarkən bu səhvləri əldə etmək. Yardıma kömək lazımdır. / Sistem / Kitabxana / Çərçivə / Ruby. ..
09 iyul '14 saat 14:53 'də təyin olundu
7
Cavablar

Yerli inci necə qurulacaq?

.Gem faylını kompüterimdə bir qovluğa endirdiyim təqdirdə, gem yükləməsini istifadə edə bilərsinizmi?
21 oktyabr təyin etdi '08 at 1:32
15
Cavablar

gem quraşdırma: Xüsusi gem uzantısı yaratılamadı (başlıq faylları tapıla bilmədi)

Fedora 14 istifadə edirəm və MySQL və MySQL 5.1.42 server qurulur və işləyir. İndi bunu kök kimi etməyə çalışdım: gem install mysql Lakin mən bu səhv alıram: yerli uzantıları qurmaq. Bu bir müddət ala bilər ... ERROR: Err ...
29 noyabrda təyin olundu. '10 saat 16:58 'da
5
Cavablar

Gemfildən yerli bir daş necə təsvir edə bilərəm?

Bundler'ı yerli bir gem yükləmək istərdim. Bunun üçün bir fürsət varmı? Ya da gem qovluğunu .bundle qovluğuna daşımaq lazımdırmı?
20 dekabrda təyin olundu '10 saat 11: 24-də
9
Cavablar

Json gem 'mkmf.rb' ni yükləməkdə səhv başlıq fayllarını ruby ​​'

Bağlamda, bir firewall ilə uzaq bir server. Ətrafımı proxy vasitəsilə qurdum. Mən ruby ​​1.8.7 var. Gem yüklemeye çalıştığımda .. sudo gem install --http-proxy <host address>: <port> json Aşağıdakı hatayı alıyorum: Bina ...
13 dekabrda təyin olundu. '13 saat 7:44 'da
28
Cavablar

SSL sertifikatı doğrulama hatası ilə paket quraşdırma xətası

Mənim Rails 3 layihəsini Centos 5.5-də yüklədiyim zaman səhvən uğursuz olur: Gem :: RemoteFetcher :: FetchError: SSL_connect return = 1 errno = 0 dövlət = SSLv3 oxumaq server sertifikatı B: Sertifikat təsdiqlənməyib (https: / / /bb-m.ru ...
20 Aprel tarixində təyin olundu '12 saat 15:13 'də
11
Cavablar

Başlanğıcsız sabit ActiveSupport :: Bağımlılıklar :: Mutex (NameError)

Bir Ruby Rails layihəsi yaratmaq istədiyimdə, aşağıdakı mesajı alıram. /usr/lib/ruby/gems/1.8/gems/activesupport-2.3.8/lib/active_support/dependencies.rb:55: başlatılmamış sabit ActiveSupport :: Bağımlılıklar :: Mutex (NameError) / usr / local / lib .. .
03.03 'də saat 07.50' də təyin olundu
25
Cavablar

rmagick gem install "Magick-config tapılmadı"

Rmagik gemini qurmağa çalışarkən aşağıda göstərilən səhvləri alıram. RVM, Ruby 1.9.2 başlığı və Rails 3.05 istifadə edərək Snowleopard 10.6'da oldum. Bu suallara cavablar mənə uğurla imza atan ImageMagick tərəfindən tövsiyə olundu. Dostum ...
05 - 11 mart saat 7: 32-də təyin olundu
18
Cavablar

Cocoapodları necə qurmaq olar?

Mən çoxlu əlaqələrə müraciət etdim və uğur qazanmadım. Kimsə bir fikir varsa, mənimlə paylaşın. Mən kakao-fasulye sənədlərini oxudum və bir neçə dəfə qurmağa çalışdım, ancaq ilk addımlardan ötəri həmişə mümkün olmadı. Biri tapdım ...
24 dəq. '13 saat 7:52 'də
23
Cavablar

Kitabxana yüklənmir: libmysqlclient.16.dylib mysql2 gem istifadə edərək OS X 10.6 üzrə rels server başlamaq üçün çalışırken səhv

Bir müddətdir bununla mübarizə aparmışam. Mən Snow Leopard maşın üzərində Rails 3, gem, mysql quraşdırdım. Mənim ilk layihəmimi yaradana qədər hər şey yaxşı keçdi və rels serverini açmağa çalışdı. Başladıqdan sonra: jontybrook $ rails serv ...
28 dekabrda təyin olundu '17 'də 17:17' də